Linux Security
    Linux Security
    Linux Security

    Ubuntu: mailman vulnerabilities

    Date 16 Oct 2006
    2845
    Posted By LinuxSecurity Advisories
    Steve Alexander discovered that mailman did not properly handle attachments with special filenames. A remote user could exploit that to stop mail delivery until the server administrator manually cleaned these posts. (CVE-2006-2941) Various cross-site scripting vulnerabilities have been reported by Barry Warsaw. By using specially crafted email addresses, names, and similar arbitrary user-defined strings, a remote attacker could exploit this to run web script code in the list administrator's web browser. (CVE-2006-3636) URLs logged to the error log file are now checked for invalid characters. Before, specially crafted URLs could inject arbitrary messages into the log.
    =========================================================== 
    Ubuntu Security Notice USN-345-1         September 13, 2006
    mailman vulnerabilities
    CVE-2006-2941, CVE-2006-3636
    ===========================================================
    
    A security issue affects the following Ubuntu releases:
    
    Ubuntu 5.04
    Ubuntu 5.10
    Ubuntu 6.06 LTS
    
    This advisory also applies to the corresponding versions of
    Kubuntu, Edubuntu, and Xubuntu.
    
    The problem can be corrected by upgrading your system to the
    following package versions:
    
    Ubuntu 5.04:
      mailman                                  2.1.5-7ubuntu0.3
    
    Ubuntu 5.10:
      mailman                                  2.1.5-8ubuntu2.3
    
    Ubuntu 6.06 LTS:
      mailman                                  2.1.5-9ubuntu4.1
    
    In general, a standard system upgrade is sufficient to effect the
    necessary changes.
    
    Details follow:
    
    Steve Alexander discovered that mailman did not properly handle
    attachments with special filenames. A remote user could exploit that
    to stop mail delivery until the server administrator manually cleaned
    these posts. (CVE-2006-2941)
    
    Various cross-site scripting vulnerabilities have been reported by
    Barry Warsaw. By using specially crafted email addresses, names, and
    similar arbitrary user-defined strings, a remote attacker could
    exploit this to run web script code in the list administrator's
    web browser. (CVE-2006-3636)
    
    URLs logged to the error log file are now checked for invalid
    characters. Before, specially crafted URLs could inject arbitrary
    messages into the log.
    
    
    Updated packages for Ubuntu 5.04:
    
      Source archives:
    
        https://security.ubuntu.com/ubuntu/pool/main/m/mailman/mailman_2.1.5-7ubuntu0.3.diff.gz
          Size/MD5:   122672 040be0e94a3463829deda6255b81914c
        https://security.ubuntu.com/ubuntu/pool/main/m/mailman/mailman_2.1.5-7ubuntu0.3.dsc
          Size/MD5:      669 6533900d800881c5e5e97661592fe9b1
        https://security.ubuntu.com/ubuntu/pool/main/m/mailman/mailman_2.1.5.orig.tar.gz
          Size/MD5:  5745912 f5f56f04747cd4aff67427e7a45631af
    
      amd64 architecture (Athlon64, Opteron, EM64T Xeon)
    
        https://security.ubuntu.com/ubuntu/pool/main/m/mailman/mailman_2.1.5-7ubuntu0.3_amd64.deb
          Size/MD5:  6610396 9e485ddc61fea15ffaacebeb176bc924
    
      i386 architecture (x86 compatible Intel/AMD)
    
        https://security.ubuntu.com/ubuntu/pool/main/m/mailman/mailman_2.1.5-7ubuntu0.3_i386.deb
          Size/MD5:  6610126 7a76e92c25d14c439141c243f807ac59
    
      powerpc architecture (Apple Macintosh G3/G4/G5)
    
        https://security.ubuntu.com/ubuntu/pool/main/m/mailman/mailman_2.1.5-7ubuntu0.3_powerpc.deb
          Size/MD5:  6617368 a0c258a612fc19b87f756dfd1b2f5604
    
    Updated packages for Ubuntu 5.10:
    
      Source archives:
    
        https://security.ubuntu.com/ubuntu/pool/main/m/mailman/mailman_2.1.5-8ubuntu2.3.diff.gz
          Size/MD5:   124569 edd592fdc5d979588cfa307d80f389ee
        https://security.ubuntu.com/ubuntu/pool/main/m/mailman/mailman_2.1.5-8ubuntu2.3.dsc
          Size/MD5:      626 52ca3b4a7132ed400701b33a9d1fa07c
        https://security.ubuntu.com/ubuntu/pool/main/m/mailman/mailman_2.1.5.orig.tar.gz
          Size/MD5:  5745912 f5f56f04747cd4aff67427e7a45631af
    
      amd64 architecture (Athlon64, Opteron, EM64T Xeon)
    
        https://security.ubuntu.com/ubuntu/pool/main/m/mailman/mailman_2.1.5-8ubuntu2.3_amd64.deb
          Size/MD5:  6611062 4808daed20ff5871d0878041dc65c278
    
      i386 architecture (x86 compatible Intel/AMD)
    
        https://security.ubuntu.com/ubuntu/pool/main/m/mailman/mailman_2.1.5-8ubuntu2.3_i386.deb
          Size/MD5:  6610402 bae1a8798cc5518e204ac418d4108330
    
      powerpc architecture (Apple Macintosh G3/G4/G5)
    
        https://security.ubuntu.com/ubuntu/pool/main/m/mailman/mailman_2.1.5-8ubuntu2.3_powerpc.deb
          Size/MD5:  6617772 c397e9d02be876896f4c519da2965dce
    
      sparc architecture (Sun SPARC/UltraSPARC)
    
        https://security.ubuntu.com/ubuntu/pool/main/m/mailman/mailman_2.1.5-8ubuntu2.3_sparc.deb
          Size/MD5:  6616692 9714c5ffcedced686d5d2224f373f63a
    
    Updated packages for Ubuntu 6.06 LTS:
    
      Source archives:
    
        https://security.ubuntu.com/ubuntu/pool/main/m/mailman/mailman_2.1.5-9ubuntu4.1.diff.gz
          Size/MD5:   228878 efe29915311336eea806f75a489ae876
        https://security.ubuntu.com/ubuntu/pool/main/m/mailman/mailman_2.1.5-9ubuntu4.1.dsc
          Size/MD5:      628 61d4ee8cb059d6073c845c63ab9428a3
        https://security.ubuntu.com/ubuntu/pool/main/m/mailman/mailman_2.1.5.orig.tar.gz
          Size/MD5:  5745912 f5f56f04747cd4aff67427e7a45631af
    
      amd64 architecture (Athlon64, Opteron, EM64T Xeon)
    
        https://security.ubuntu.com/ubuntu/pool/main/m/mailman/mailman_2.1.5-9ubuntu4.1_amd64.deb
          Size/MD5:  6612630 20c59f9de0ad456f476d9222deaf232f
    
      i386 architecture (x86 compatible Intel/AMD)
    
        https://security.ubuntu.com/ubuntu/pool/main/m/mailman/mailman_2.1.5-9ubuntu4.1_i386.deb
          Size/MD5:  6612422 b22f69ab0ad00a70cc4cf9526521ae02
    
      powerpc architecture (Apple Macintosh G3/G4/G5)
    
        https://security.ubuntu.com/ubuntu/pool/main/m/mailman/mailman_2.1.5-9ubuntu4.1_powerpc.deb
          Size/MD5:  6620218 57752d37e3514f437bfbddd458203306
    
      sparc architecture (Sun SPARC/UltraSPARC)
    
        https://security.ubuntu.com/ubuntu/pool/main/m/mailman/mailman_2.1.5-9ubuntu4.1_sparc.deb
          Size/MD5:  6618874 870ca284b9c208a8937ef2890506a93c
    
    --C7zPtVaVf+AK4Oqc
    Content-Type: application/pgp-signature; name="signature.asc"
    Content-Description: Digital signature
    Content-Disposition: inline
    
    -----BEGIN PGP SIGNATURE-----
    Version: GnuPG v1.4.3 (GNU/Linux)
    
    iD8DBQFFB9y4DecnbV4Fd/IRAl2BAJ9OSOdHhVlUCEo8aWXoMjo21B0zDwCfSKwr
    js0Y/BhUjgWzsBIRyl5f+yE	

    LinuxSecurity Poll

    'Tis the season of giving! How have you given back to the open-source community?

    No answer selected. Please try again.
    Please select either existing option or enter your own, however not both.
    Please select minimum 0 answer(s) and maximum 3 answer(s).
    /main-polls/49-tis-the-season-of-giving-how-have-you-given-back-to-the-open-source-community?task=poll.vote&format=json
    49
    radio
    [{"id":"171","title":"I've contributed to the development of an open-source project.","votes":"22","type":"x","order":"1","pct":34.92,"resources":[]},{"id":"172","title":"I've reviewed open-source code for security bugs.","votes":"13","type":"x","order":"2","pct":20.63,"resources":[]},{"id":"173","title":"I've made a donation to an open-source project.","votes":"28","type":"x","order":"3","pct":44.44,"resources":[]}] ["#ff5b00","#4ac0f2","#b80028","#eef66c","#60bb22","#b96a9a","#62c2cc"] ["rgba(255,91,0,0.7)","rgba(74,192,242,0.7)","rgba(184,0,40,0.7)","rgba(238,246,108,0.7)","rgba(96,187,34,0.7)","rgba(185,106,154,0.7)","rgba(98,194,204,0.7)"] 350

    Please vote first in order to view vote results.


    VIEW MORE POLLS

    bottom 200

    Please enable / Bitte aktiviere JavaScript!
    Veuillez activer / Por favor activa el Javascript![ ? ]

    We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.